Subject: Re: [bug#78547] [PATCH] maint: Change main repository URL to git.guix.gnu.org.

From: Ahmad Draidi <[email-masked]>
Date: Thu, 22 May 2025 18:43:38 +0400

Greetings,

On 5/22/25 16:02, Ludovic Courtès wrote:
> Throughout, replace “https://git.savannah.gnu.org/git/guix.git” by
> “https://git.guix.gnu.org/guix.git”.

> Hello Guix,
>
> This is a followup to <https://issues.guix.gnu.org/76296>, which
> should ease migration to Codeberg and any future migration (though
> it’s not something we have to do frequently :-)).
>
> Given that the guix.git migration is scheduled this Sunday, May 25th¹,
> I’d like to apply this patch tomorrow at the latest.
>
> Thoughts?

I think this patch should be applied ASAP so that there's a few days gap 
between the migration to codeberg and the URL change (this patch). I 
think this way, in case of issues, the cause would be easier to isolate.

As for the news entries, maybe there should be 2? One for the new URL, 
and one for the codeberg migration added on the 25th.

The URL change is kind of like the Guix project taking control of the 
git URL, I think. This is visible to users. The codeberg migration is 
mostly visible to contributors.

>
> Ludo’.
>
> ¹ https://guix.gnu.org/blog/2025/migrating-to-codeberg/
>
Thanks,

Ahmad